* {
    box-sizing: border-box;
}

:root{
    --colorfondo: #e6e6fe;
    --colorprincipal: #00008b;
    --colorsecundario: #3838b3;
    --colorfondo2: #f7f7ff;
    --negro: black;
    --blanco: white;
}

body {
    background-color: var(--colorfondo);
    color: var(--colorprincipal);
    width: 80vw;
    margin: auto;
    font-family: Arial, Helvetica, sans-serif;
}

header {
    background-color: var(--colorprincipal);
    color: var(--blanco);
    height: 150px;
    display: grid;
    grid-template-columns: 6fr 4fr;
    justify-items: center;
    align-items: center;
}

header ul {
    list-style: none;
    margin: 0px;
    padding: 0px;
    display: inline-block;
}

header ul li {
    display: inline-block;
    font-size: 1.3em;
    margin: 10px;
}

header ul li a {
    text-decoration: none;
    display: block;
}

form {
    width: 100%;
}

form input {
    width: 75%;
    border: 0px;
    border-radius: 3px;
    color: var(--colorprincipal);
    padding: 4px;
    margin-left: 40px;
}

form button {
    background-color: var(--colorprincipal);
    border: 0px;
    color: var(--blanco);
    font-size: 1.2em;
    margin-right: 5px;
}

main {
    display: grid;
    grid-template-columns: 8fr 2fr;
}

section{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    background-color: var(--colorfondo2);
    padding: 10px;
}

article {
    padding: 10px;
}

img {
    width: 100%;
}

div {
    display: grid;
    grid-template-columns: 7fr 3fr;
    justify-items: center;
    align-items: center;
}

section p {
    font-size: 0.9em;
    text-align: justify;
}

article div a {
    background-color: var(--colorprincipal);
    color: var(--blanco);
    padding: 10px;
    border-radius: 2px;
    text-decoration: none;
}

aside {
    background-color: var(--colorsecundario);
    color: var(--blanco);
}

aside h3 i{
    padding-right: 5px;
}

aside ul {
    list-style: none;
    padding: 0px;
    margin-left: 5px;
}

aside a {
    text-decoration: none;
    display: block;
    margin: 7px;
}

aside ul li:hover {
    color: var(--negro);
}

footer {
    background-color: var(--negro);
    color: var(--blanco);
    padding: 40px;
}


footer p {
    margin: 0px;
    text-align: center;
}

footer ul {
    list-style: none;
    padding: 0px;
    margin: 0px;
    text-align: center;
}

footer ul li {
    display: inline-block;
}


footer ul li a {
    text-decoration: none;
    display: block;
    margin: 15px;
    font-size: 1.3em;
    color: var(--blanco);
}
